package com.advancedmods.amcore.common.command;

import com.advancedmods.amcore.AMCore;
import net.minecraft.command.ICommand;
import net.minecraft.command.ICommandSender;
import net.minecraft.util.ChatComponentText;
import net.minecraft.world.World;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Dennis on 5-10-2017.
 */
public class CommandAbout implements ICommand {

    private final List aliases;

    public CommandAbout() {
        aliases = new ArrayList();
        aliases.add("amab");
    }

    @Override
    public String getCommandName() {
        return "advancedmods_about";
    }

    @Override
    public String getCommandUsage(ICommandSender p_71518_1_) {
        return "advancedmods_about";
    }

    @Override
    public List getCommandAliases() {
        return this.aliases;
    }

    @Override
    public void processCommand(ICommandSender sender, String[] argString) {
        World world = sender.getEntityWorld();
        if(world.isRemote) {
            AMCore.log.warn("Client side not processing, I suppose...");
        } else {
            AMCore.log.info("Processing... (server side)");
            if(argString.length != 0) {
                sender.addChatMessage(new ChatComponentText("Invalid argument, no argument required!"));
                return;
            }

            sender.addChatMessage(new ChatComponentText("Advanced Mods, brought to you by Dennisbonke, Zandor300 and Poedermoeder0174!"));
        }
    }

    @Override
    public boolean canCommandSenderUseCommand(ICommandSender p_71519_1_) {
        return true;
    }

    @Override
    public List addTabCompletionOptions(ICommandSender p_71516_1_, String[] p_71516_2_) {
        return null;
    }

    @Override
    public boolean isUsernameIndex(String[] p_82358_1_, int p_82358_2_) {
        return false;
    }

    @Override
    public int compareTo(Object o) {
        return 0;
    }
}
